From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/slang/
Date: Mon, 19 Feb 2018 15:37:23 +0000 (UTC) [thread overview]
Message-ID: <1519054636.2e3dc9368bd4762b674d259d2fac928aab758dd4.polynomial-c@gentoo> (raw)
commit: 2e3dc9368bd4762b674d259d2fac928aab758dd4
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 15:36:33 2018 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 15:37:16 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e3dc936
sys-libs/slang: Bump to version 2.3.2_pre23
This snapshot release is needed in order to unmask =sys-libs/ncurses-6.1
which introduced a new terminfo file format that older slang releases do
not understand.
Bug: https://bugs.gentoo.org/648114
Package-Manager: Portage-2.3.24, Repoman-2.3.6
sys-libs/slang/Manifest | 1 +
sys-libs/slang/slang-2.3.2_pre23.ebuild | 81 +++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/sys-libs/slang/Manifest b/sys-libs/slang/Manifest
index dabde7190d0..817b8f951c6 100644
--- a/sys-libs/slang/Manifest
+++ b/sys-libs/slang/Manifest
@@ -1,2 +1,3 @@
DIST slang-2.3.0.tar.bz2 1532986 BLAKE2B 92fe1338c2f07e78fbffd0435252a75d8158ae0ce6da9cf95cc553bcd8bdd393b7f1c975d516ab732805a006a03db963651736027e052c156910393443053934 SHA512 0b04d916409c59f66301877c078bcca63c8b71e5dfa6c1d804353e41949bca16e664a79381c4156068b1f878c333e618f1de165e4059b09831fa83a794613050
DIST slang-2.3.1a.tar.bz2 1577749 BLAKE2B e3149502a7d6e6d13800f3d3df6e56f176da089b9e9a24d23ddd4958cbc43c729e42326b9e487f6356989434ad3029c1c7ae27b49b60b8e9598053cb24f043c8 SHA512 e7236a189081ebcbaf4e7f0506671226a4d46aede8826e1a558f1a2f57bcbe3ad58eadeabe2df99cd3d8bacb4c93749996bcbce4f51d338fc9396e0f945933e7
+DIST slang-pre2.3.2-23.tar.gz 1990343 BLAKE2B 3b5ddb9dd5238f4db69afbebae1d72facf8691521a55edb59d1b1e41c0c177c8275f1fff7854a94fde50eca15b5d5efc87e4d1e5b114d93c9d8c65693152b5c7 SHA512 8f8c7fa0c8a89d15648b4bbc93c39fe9915a118676f0a4d69a92a85dd5335b3c413e6068f43bc827844f83d8f26a1d6885c8250d050f337f36dfa3bb4623b277
diff --git a/sys-libs/slang/slang-2.3.2_pre23.ebuild b/sys-libs/slang/slang-2.3.2_pre23.ebuild
new file mode 100644
index 00000000000..eee22b8362b
--- /dev/null
+++ b/sys-libs/slang/slang-2.3.2_pre23.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils multilib-minimal
+
+DESCRIPTION="Multi-platform library designed to allow a developer to create robust software"
+HOMEPAGE="http://www.jedsoft.org/slang/"
+if [[ "${PV}" = *_pre* ]] ; then
+ MY_P="${PN}-pre${PV/_pre/-}"
+ SRC_URI="https://www.jedsoft.org/snapshots/${MY_P}.tar.gz"
+ S="${WORKDIR}/${MY_P}"
+else
+ SRC_URI="http://www.jedsoft.org/releases/${PN}/${P}.tar.bz2
+ http://www.jedsoft.org/releases/${PN}/old/${P}.tar.bz2"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="cjk pcre png readline static-libs zlib"
+
+# ncurses for ncurses5-config to get terminfo directory
+RDEPEND="
+ sys-libs/ncurses:0=
+ cjk? ( >=dev-libs/oniguruma-5.9.5:=[${MULTILIB_USEDEP}] )
+ pcre? ( >=dev-libs/libpcre-8.33-r1[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}] )
+ readline? ( >=sys-libs/readline-6.2_p5-r1:0=[${MULTILIB_USEDEP}] )
+ zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+MAKEOPTS+=" -j1"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.3.1-slsh-libs.patch
+)
+
+src_prepare() {
+ default
+
+ # avoid linking to -ltermcap race with some systems
+ sed -i -e '/^TERMCAP=/s:=.*:=:' configure || die
+ # we use the GNU linker also on Solaris
+ sed -i -e 's/-G -fPIC/-shared -fPIC/g' \
+ -e 's/-Wl,-h,/-Wl,-soname,/g' configure || die
+
+ # slang does not support configuration from another dir
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --with-readline=$(usex readline gnu slang)
+ $(use_with pcre)
+ $(use_with cjk onig)
+ $(use_with png)
+ $(use_with zlib z)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake elf $(use static-libs && echo static)
+
+ pushd slsh >/dev/null || die
+ emake slsh
+ popd || die
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install $(use static-libs && echo install-static)
+}
+
+multilib_src_install_all() {
+ rm -r "${ED%/}"/usr/share/doc/{slang,slsh} || die
+ dodoc NEWS README *.txt doc/{,internal,text}/*.txt
+ docinto html
+ dodoc doc/slangdoc.html slsh/doc/html/*.html
+}
next reply other threads:[~2018-02-19 15:37 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-19 15:37 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-17 5:37 [gentoo-commits] repo/gentoo:master commit in: sys-libs/slang/ Arthur Zamarin
2024-03-26 20:25 Sam James
2024-03-25 7:25 Arthur Zamarin
2024-03-25 7:25 Arthur Zamarin
2024-03-25 7:25 Arthur Zamarin
2024-03-25 7:25 Arthur Zamarin
2024-03-24 22:59 Jakov Smolić
2024-03-24 22:41 Sam James
2024-03-24 22:41 Sam James
2024-02-21 7:13 Sam James
2023-10-01 18:14 Arthur Zamarin
2023-09-14 4:43 Sam James
2023-09-08 9:29 Sam James
2023-09-08 9:29 Sam James
2023-09-08 9:29 Sam James
2023-09-08 9:29 Sam James
2023-09-07 23:03 Sam James
2023-09-07 23:03 Sam James
2023-09-07 20:53 Sam James
2022-05-10 1:35 WANG Xuerui
2021-08-08 19:46 Marek Szuba
2021-01-15 19:01 Lars Wendler
2021-01-06 15:35 Fabian Groffen
2018-06-03 17:42 Mikle Kolyada
2018-04-15 16:52 Mikle Kolyada
2018-04-08 21:55 Mart Raudsepp
2018-04-08 4:47 Matt Turner
2018-04-08 4:47 Matt Turner
2018-04-01 10:00 Tobias Klausmann
2018-03-31 11:45 Jeroen Roovers
2018-03-26 18:55 Sergei Trofimovich
2018-03-24 14:01 Sergei Trofimovich
2018-03-24 7:51 Mikle Kolyada
2018-03-05 8:06 Lars Wendler
2017-12-01 22:19 David Seifert
2017-07-21 17:54 Thomas Deutschmann
2017-05-18 22:38 Michael Weber
2017-02-03 20:04 Lars Wendler
2017-02-03 19:47 Jeroen Roovers
2017-01-29 20:14 Fabian Groffen
2017-01-04 17:09 Agostino Sarubbo
2016-12-23 8:18 Lars Wendler
2016-12-23 8:18 Lars Wendler
2016-12-21 11:28 Tobias Klausmann
2016-11-26 11:27 Lars Wendler
2016-11-26 10:00 Markus Meier
2016-11-15 14:53 Tobias Klausmann
2016-09-19 13:17 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1519054636.2e3dc9368bd4762b674d259d2fac928aab758dd4.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox